<ion-header>
  <ion-toolbar color="secondary" >
      <ion-buttons slot="start">
        <ion-menu-button></ion-menu-button>
      </ion-buttons>
      <ion-title>
          Lista Persona
      </ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
     <ion-item-sliding *ngFor="let persona of personas">
       <ion-item lines="inset"s>
         <ion-label>
          {{persona.nombre}}
          {{persona.apellido}}
          <ion-button  [routerLink]="['/detalles',persona.id]">editar</ion-button>
          <ion-button  (click)="eliminar(persona.id)">eliminar</ion-button>
         </ion-label>
       </ion-item>
       <ion-item-options side="end">
          <ion-item-option (click)="onRemove(item)" color="secundary">
            <ion-icon name="checkmark" slot=""></ion-icon>
          </ion-item-option>
       </ion-item-options>
     </ion-item-sliding>
    </ion-list>
    <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button  [routerLink]="['/crear']">
        <ion-icon name="ios-add-circle-outline"></ion-icon>
      </ion-fab-button>
    </ion-fab>
</ion-content>
